import win32com.client
import pandas as pd

# Excelファイル読み込み
excel_file_path = 'C:/Users/frontier-Python/Desktop/不審メール対応.xlsm'
df = pd.read_excel(excel_file_path)

# 列名指定
address_column = '宛先'
address_column_name ="名前"
address_column_time ="時間"
address_column_sub ="件名"

# Outlook起動
outlook = win32com.client.Dispatch('Outlook.Application')



# アドレス毎にメール本文作成
mail_bodies = {}

for index, row in df.iterrows():
    address = row[address_column]
    address_name = row[address_column_name]
    address_time = row[address_column_time]
    address_sub = row[address_column_sub]

    
    if pd.notna(address):
        if address in mail_bodies:
            # 同じaddressが存在する場合、本文に追記
            mail_bodies[address] +=f"\n\n件名：{address_sub}\n受信時間：{address_time}"

        else:
            # メール本文作成
            mail_bodies[address] = f"{address_name}さま\nお疲れ様です。中村です。\n\n{address_name}さまのPCから\
不審メールを受信したログが確認されました。\n下記対象メールが見つかりましたら削除お願いします。\n\n\
■対象メール\n件名：{address_sub}\n受信時間：{address_time}"



# 不足情報追加しメールを表示
for address, body in mail_bodies.items():
    mail = outlook.CreateItem(0)
    mail.CC = 'Gr-mail@gmail.com'
    mail.To = address
    mail.Subject = '不審メール削除依頼'
    mail.Body = body + "\n\nよろしくお願いします。"
    mail.Display()



# mail_bodiesをリセット
mail_bodies = {}
df = pd.DataFrame()

